# $Revision: 1.35 $, $Date: 2004/11/18 20:43:14 $
Summary:	Race down mountainous terrain with Tux!
Summary(pl):	Zjedaj z Tuksem w grzystym terenie!
Summary(pt_BR):	Corra montanha abaixo com o Tux!
Name:		tuxracer
Version:	0.61
Release:	11
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/tuxracer/%{name}-%{version}.tar.gz
# Source0-md5:	206e8197ceaf0f00b25d4e2b4156e563
Source1:	http://dl.sourceforge.net/tuxracer/%{name}-data-%{version}.tar.gz
# Source1-md5:	aef877fee9e1a56483ff01fbdfb1e4b3
Source2:	http://brcha.free.fr/data/projects/RoadsOfSerbia/RoadsOfSerbia.tar.bz2
# Source2-md5:	5eff75e60b3d4a46f97bb697d968a299
Source3:	%{name}.desktop
Source4:	%{name}.png
Patch0:		%{name}-gcc33.patch
URL:		http://www.tuxracer.com/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tcl-devel >= 8.4.3
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Tux Racer lets you take on the role of Tux the Linux Penguin as he
races down steep, snow-covered mountains. Enter cups and compete to
win the title! Tux Racer includes a variety of options for gameplay,
including the ability to race courses in fog, at night, and under high
winds.

%description -l pl
Tux Racer pozwala wcieli si w rol Tuksa, linuksowego Pingwina
podczas zjazdu w d pokrytych niegiem gr. We udzia w zawodach i
zdobd tytu! Tux Racer zawiera wiele opcji, midzy innymi moliwo
zjedania we mgle, w nocy i podczas silnego wiatru.

%description -l pt_BR
O objetivo do Tux Racer  diverso! Corra montanha abaixo to rpido 
quanto possvel e capture peixes para aumentar sua pontuao!

%prep
%setup -q -a1 -a2
%patch -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
CPPFLAGS="%{rpmcflags} -DGLX_GLXEXT_LEGACY"
%configure \
	--with-data-dir=%{_datadir}/%{name}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}

mv -f %{name}-data-%{version}/* $RPM_BUILD_ROOT%{_datadir}/%{name}
mv -f Roads\ Of\ Serbia/ $RPM_BUILD_ROOT%{_datadir}/%{name}/courses/contrib/roads_of_serbia

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog html/*
%attr(755,root,root) %{_bindir}/tuxracer
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tuxracer.spec,v $
Revision 1.35  2004/11/18 20:43:14  havner
- rel 11 for broken desktop file

Revision 1.34  2004/11/10 21:06:15  ankry
- ven -> ve in desktop, rel. 10

Revision 1.33  2004/10/29 14:35:01  paladine
- pl fixes

Revision 1.32  2004/07/04 21:53:44  adamg
- release 9 (fixed desktop file)

Revision 1.31  2004/03/16 21:17:03  qboosh
- better pl summary based on new en

Revision 1.30  2004/03/16 16:20:13  undefine
- bogus es translation, use as en ;)

Revision 1.29  2004/03/16 16:14:06  undefine
- pt_BR/es translations from conectiva

Revision 1.28  2003/12/08 22:28:18  grzegol
- _applnkdir -> _desktopdir; rel. 8

Revision 1.27  2003/10/01 09:45:58  adamg
- release 7

Revision 1.26  2003/10/01 09:44:28  adamg
- added additional track (Roads of Serbia)

Revision 1.25  2003/09/05 19:58:00  blues
- cosmetics

Revision 1.24  2003/06/19 11:58:02  qboosh
- release 6: rebuild with tcl 8.4.3
- added gcc33 patch

Revision 1.23  2003/05/28 13:02:23  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:27:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.20  2003/02/11 20:48:24  grzegol
- added -DGLX_GLXEXT_LEGACY to CPPFLAGS

Revision 1.19  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.18  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/09/09 13:31:37  blues
- release 5 - moved desktop to Racing submenu - STBR

Revision 1.16  2002/08/21 12:26:18  grzegol
- added BR: tcl-devel

Revision 1.15  2002/07/24 16:24:58  marcus
- rel.4.
- fixed source url (SF)

Revision 1.14  2002/07/15 08:02:21  blues
- new doc

Revision 1.13  2002/05/21 23:14:51  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/02/23 04:55:16  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:15:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/30 17:31:32  qboosh
- release 3: fixed ac/am sequence

Revision 1.7  2001/10/10 13:07:30  qboosh
- BuildRequires: autoconf, automake

Revision 1.6  2001/08/02 15:23:40  jajcus
- Release: 2
- aclocal/autoconf/automake
- html docs were missing, added
  Do not forget about docs, please. They are quite important.

Revision 1.5  2001/06/29 22:14:12  mkochano
- Cosmetics: removed %%changelog of template.spec.

Revision 1.4  2001/06/29 20:28:50  kloczek
- simplify unpack Sourcw 1 (use %setup),
- added desktop file for tuxracer.

Revision 1.3  2001/06/29 19:01:43  misiek
- added noautoreqdep for OpenGL

Revision 1.2  2001/06/29 18:01:27  mkochano
- Added descriptions.
- Cleaned some commented out stuff.

Revision 1.1  2001/06/29 17:57:00  mkochano
- Written from template.
- Builds, works.
- It's not a Colin McRae, but if you have too much free time ;)
